summaryrefslogtreecommitdiffstats
path: root/development/acc
diff options
context:
space:
mode:
Diffstat (limited to 'development/acc')
-rw-r--r--development/acc/README6
-rw-r--r--development/acc/acc.SlackBuild25
-rw-r--r--development/acc/acc.info8
-rw-r--r--development/acc/slack-desc2
4 files changed, 28 insertions, 13 deletions
diff --git a/development/acc/README b/development/acc/README
index 95e414557b..7c18f4769a 100644
--- a/development/acc/README
+++ b/development/acc/README
@@ -1 +1,5 @@
-ACC is an ACS script compiler for use with ZDoom and Hexen.
+Linux version of the ACC script compiler.
+
+Command-line utility only; requires terminal to run.
+
+ACC is an Action Code script compiler for use with GZDoom and Hexen.
diff --git a/development/acc/acc.SlackBuild b/development/acc/acc.SlackBuild
index 24254d7453..257ea82dc0 100644
--- a/development/acc/acc.SlackBuild
+++ b/development/acc/acc.SlackBuild
@@ -1,8 +1,8 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for acc
-# Copyright 2019 Hexxend USA
+# Copyright 2023 Hexxend USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,10 +22,13 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=acc
-VERSION=${VERSION:-1.57}
+VERSION=${VERSION:-1.60}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -35,7 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -60,7 +70,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG/usr/bin $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-unzip $CWD/acc157src.zip
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
@@ -72,7 +82,8 @@ find -L . \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-make
+cmake . || exit 1
+cmake --build $TMP/$PRGNAM-$VERSION || exit 1
mv $PRGNAM $PKG/usr/bin
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
@@ -86,4 +97,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/acc/acc.info b/development/acc/acc.info
index 59d6e47034..c6e6e52667 100644
--- a/development/acc/acc.info
+++ b/development/acc/acc.info
@@ -1,8 +1,8 @@
PRGNAM="acc"
-VERSION="1.57"
-HOMEPAGE="https://www.zdoom.org/downloads"
-DOWNLOAD="https://zdoom.org/files/utils/acc/acc157src.zip"
-MD5SUM="a9fc20ca9035c572e4a9579eb0fe85dd"
+VERSION="1.60"
+HOMEPAGE="https://www.zdoom.org"
+DOWNLOAD="https://github.com/Zdoom/acc/archive/1.60/acc-1.60.tar.gz"
+MD5SUM="b1d78421f0fcd3301bf8e657eea84f40"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
diff --git a/development/acc/slack-desc b/development/acc/slack-desc
index 99a935bf4a..cbb17d06bd 100644
--- a/development/acc/slack-desc
+++ b/development/acc/slack-desc
@@ -13,7 +13,7 @@ acc: (http://zdoom.org/wiki/ACC)
acc: Original ACC Version 1.10 by Ben Gokey
acc: Copyright (c) 1995 Raven Software, Corp.
acc:
-acc: This is version 1.57 (Mar 2 2019)
+acc: This is version 1.60 (Oct 19 2023)
acc: This software is not supported by Raven Software or Activision
acc: ZDoom changes and language extensions by Randy Heit
acc: Further changes by Brad Carney